---
title: MediaStreamAudioSourceOptions.mediaStream
slug: Web/API/MediaStreamAudioSourceOptions/mediaStream
tags:
  - API
  - Audio
  - Media
  - MediaStream
  - MediaStreamAudioSourceOptions
  - MediaStreamTrack
  - Options
  - Property
  - Reference
  - Web
  - Web Audio
  - Web Audio API
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The {{domxref("MediaStreamAudioSourceOptions")}} dictionary's <code><strong>mediaStream</strong></code> property must specify the {{domxref("MediaStream")}} from which to retrieve audio data when instantiating a <code>MediaStreamAudioSourceNode</code> using the {{domxref("MediaStreamAudioSourceNode.MediaStreamAudioSourceNode", "MediaStreamAudioSourceNode()")}} constructor.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>mediaStreamAudioSourceOptions</em> = {
  mediaStream: <em>audioSourceStream</em>;
}

<em>mediaStreamAudioSourceOptions</em>.mediaStream = <em>audioSourceStream</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaStream")}} representing the stream from which to use a {{domxref("MediaStreamTrack")}} as the source of audio for the node.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/MediaStreamAudioSourceNode/MediaStreamAudioSourceNode", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-mediastreamaudiosourceoptions-mediastream','MediaStreamAudioSourceOptions.mediaStream')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamAudioSourceOptions.mediaStream")}} </p>
